# List Deposit Addresses

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Fund Management", href: "/trading/rest-api/fund-management" },
    { label: "List Deposit Addresses" },
  ]}
  title="List Deposit Addresses"
  method="POST"
  url="https://api.gemini.com/v1/addresses/{network}"
  description="Returns deposit addresses for the specified blockchain network."
  note={{
    title: "Note",
    children: (
      <p style={{ margin: 0 }}>Under the terms of the <a href="https://www.gemini.com/legal/api-agreement" style={{ color: "inherit", textDecorationLine: "underline" }}>Gemini API Agreement</a>, polling this endpoint may be subject to <a href="/rate-limit" style={{ color: "inherit", textDecorationLine: "underline" }}>rate limiting</a>. This endpoint is currently restricted further than standard rate limiting to a rate of 1 request per 2 seconds per subaccount. This rate is subject to change.</p>
    ),
  }}
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/addresses/bitcoin",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/addresses/bitcoin",
        nonce: "<nonce>",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>addresses:read</InlineBadge> or <InlineBadge>addresses:create</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="listDepositAddresses" />,
    },
    {
      heading: "Path Parameters",
      children: <SpecPathParams operationId="listDepositAddresses" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="listDepositAddresses" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listDepositAddresses" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Notional Balances", href: "/trading/rest-api/fund-management/get-notional-balances" }}
  next={{ label: "Create New Deposit Address", href: "/trading/rest-api/fund-management/create-new-deposit-address" }}
/>
